﻿Imports System.Collections.ObjectModel
Imports Infragistics.Controls.Timelines

Class MainWindow
    Private collection As ObservableCollection(Of TimelineData)

    Public Sub New()
        InitializeComponent()
    End Sub

    Private Sub timeline_Loaded(sender As Object, e As RoutedEventArgs)
        collection = New ObservableCollection(Of TimelineData)()

        For i As Integer = 1 To 9
            Dim dataEntry As New TimelineData() With {
                 .Time = i * 100,
                 .Duration = 10,
                 .Title = "Data Title " & i,
                 .Details = "Data Description " & i
            }
            collection.Add(dataEntry)
        Next

        Dim series As New NumericTimeSeries()
        series.Title = "Series With Data Binding"
        series.DataSource = collection

        series.DataMapping = "Time=Time;Duration=Duration;Title=Title;Details=Details"


        Me.timeline.Series.Add(series)
    End Sub

    Private Sub button1_Click(sender As Object, e As RoutedEventArgs)
        Dim dataEntry As New TimelineData() With {
     .Time = 150,
     .Duration = 10,
     .Title = "Data Title New",
     .Details = "Data Description New"
}
        collection.Add(dataEntry)
    End Sub

    Private Sub button2_Click(sender As Object, e As RoutedEventArgs)
        TryCast(Resources("XamTimeLineBackgroundBrush"), SolidColorBrush).Color = Colors.Blue
    End Sub

   
End Class

Public Class TimelineData
    Public Sub New()
    End Sub
    Public Sub New(newTime As Integer, newDuration As Integer, newTitle As String, newDetails As String)
        Time = newTime
        Duration = newDuration
        Title = newTitle
        Details = newDetails
    End Sub
    Public Property Time() As Integer
        Get
            Return m_Time
        End Get
        Set(value As Integer)
            m_Time = value
        End Set
    End Property
    Private m_Time As Integer
    Public Property Duration() As Integer
        Get
            Return m_Duration
        End Get
        Set(value As Integer)
            m_Duration = value
        End Set
    End Property
    Private m_Duration As Integer
    Public Property Title() As String
        Get
            Return m_Title
        End Get
        Set(value As String)
            m_Title = value
        End Set
    End Property
    Private m_Title As String
    Public Property Details() As String
        Get
            Return m_Details
        End Get
        Set(value As String)
            m_Details = value
        End Set
    End Property
    Private m_Details As String
End Class
